import { ba as e, V as o, bg as t, bu as i, bh as p, bi as s, a0 as a } from "./684d2f28.js";
import "react";
import "react-dom";
const c = {
  formDataKey: e
}, h = (m) => /* @__PURE__ */ o(t.Consumer, {
  children: (r) => /* @__PURE__ */ o(i.Consumer, {
    children: (n) => /* @__PURE__ */ o(p, {
      children: (r == null ? void 0 : r.findUIParentContainer(n, "form")) && /* @__PURE__ */ o(s, {
        name: a("form"),
        children: m.formDataKey.propertyView({
          label: a("formComp.name"),
          placeholder: n,
          tooltip: a("formComp.nameTooltip")
        })
      })
    })
  })
});
export {
  h as FormDataPropertyView,
  c as formDataChildren
};
